Debian Bug report logs - #589915
slapd: service is not operational when the init.d script exits during boot

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Thu, 22 Jul 2010 08:24:01 UTC

Severity: grave

Found in version openldap/2.4.17-2.1

Fixed in version openldap/2.4.23-3

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Thu, 22 Jul 2010 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Thu, 22 Jul 2010 08:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: slapd: service is not operational when the init.d script exits during boot
Date: Thu, 22 Jul 2010 10:11:23 +0200
Package:  slapd
Version:  2.4.17-2.1
Severity: grave
User:     debian-edu@lists.debian.org
UserTags: debian-edu

I ran into this problem with Debian Edu based on Debian/Squeeze, where
we configure MIT Kerberos to use LDAP as its backend.  The problem is
that some times the Kerberos kdc fail to start and the error message
in the log is

  krb5kdc: Can't contact LDAP server - while initializing database for INTERN

Trying to figure out what is wrong, I added this line to the krb5-kdc
init.d script, at the beginning of the start block:

  ldapsearch -H ldapi:// -x > /tmp/ldapsearch.log 2>&1

After the boot, this was the content of the file:

  ldap_sasl_bind(SIMPLE): Can't contact LDAP server (-1)

Adding this search delayed the kdc startup enough to make it start
properly at boot.  This make me believe there is a race condition in
the parallel boot, and that the slapd service is not operational when
its init.d script exits, but instead becomes ready a fraction of a
second later.  This causes services depending on slapd to some times
fail to start.

A similar issue was discovered with pdns (#585966), and there the
workaround there was to add sleep 2 to the init.d script.  Unless
slapd can be rewritten to become operational before it forks, this
might be a reasonable workaround here too.

Setting the severity to grave, as this causes other packages to fail
to start properly at boot when a service uses LDAP during boot.

Happy hacking,
-- 
Petter Reinholdtsen




Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Fri, 23 Jul 2010 10:39:07 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. (Fri, 23 Jul 2010 18:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 19:03:06 GMT) Full text and rfc822 format available.

Message #14 received at 589915@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: 589915@bugs.debian.org
Subject: Re: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 21:01:54 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

It can take 3 minutes or more to have the OpenLDAP server operational,
should we wait that long in the initscript? Are there objections to for
example, wait for 5 seconds and try if the server is up, if not do that
again forever?

I'm going to do some tests with pdns too, with the bind backend it is
possible that it can take up a few seconds before operational, but I
have to test that.

Regards,

Matthijs Mohlmann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkxJ5yEACgkQ2n1ROIkXqbDdfgCeI5ZopZ7/1eWx4Rbicb6MNQ6Y
lfYAoIIXAo5DhlGEHMxPTNP6/OvL9uUa
=2zW3
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 19:15:03 GMT) Full text and rfc822 format available.

Message #19 received at 589915@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Quanah Gibson-Mount <quanah@zimbra.com>
Cc: 589915@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#589915: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 21:13:32 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 07/23/2010 09:08 PM, Quanah Gibson-Mount wrote:
> --On Friday, July 23, 2010 9:01 PM +0200 Matthijs Möhlmann
> <matthijs@cacholong.nl> wrote:
> 
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA1
>>
>> It can take 3 minutes or more to have the OpenLDAP server operational,
>> should we wait that long in the initscript? Are there objections to for
>> example, wait for 5 seconds and try if the server is up, if not do that
>> again forever?
>>
>> I'm going to do some tests with pdns too, with the bind backend it is
>> possible that it can take up a few seconds before operational, but I
>> have to test that.
> 
> The time slapd can take to start depends on if it is a first time
> startup. If it is, it has to initialize the BDB environment.  How long
> the BDB environment takes to initialize depends on its size.  There is
> no set amount of time it can take to start.  The largest environment
> I've dealt with was over 1TB in size.  It took a very very long time to
> start the first time. ;)
> 
> --Quanah
> 
> -- 
> 
> Quanah Gibson-Mount
> Principal Software Engineer
> Zimbra, Inc
> --------------------
> Zimbra ::  the leader in open source messaging and collaboration

I'm not sure if I understand you correctly, you say 'The time slapd can
take to start depends on if it is a first time startup.' What do you
mean by 'first time startup' ?

Regards,

Matthijs Mohlmann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkxJ6dwACgkQ2n1ROIkXqbCN4ACfS4qtUpMYWQH7NIF0B/g6GuvD
xDcAn1+uba7c06yShgk4f8EvwJxgnvlP
=5G+0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 19:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 19:21:07 GMT) Full text and rfc822 format available.

Message #24 received at 589915@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Matthijs Möhlmann <matthijs@cacholong.nl>, 589915@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#589915: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 12:08:42 -0700
--On Friday, July 23, 2010 9:01 PM +0200 Matthijs Möhlmann 
<matthijs@cacholong.nl> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> It can take 3 minutes or more to have the OpenLDAP server operational,
> should we wait that long in the initscript? Are there objections to for
> example, wait for 5 seconds and try if the server is up, if not do that
> again forever?
>
> I'm going to do some tests with pdns too, with the bind backend it is
> possible that it can take up a few seconds before operational, but I
> have to test that.

The time slapd can take to start depends on if it is a first time startup. 
If it is, it has to initialize the BDB environment.  How long the BDB 
environment takes to initialize depends on its size.  There is no set 
amount of time it can take to start.  The largest environment I've dealt 
with was over 1TB in size.  It took a very very long time to start the 
first time. ;)

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 19:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Quanah Gibson-Mount <quanah@zimbra.com>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 19:21:09 GMT) Full text and rfc822 format available.

Message #29 received at 589915@bugs.debian.org (full text, mbox):

From: Quanah Gibson-Mount <quanah@zimbra.com>
To: Matthijs Möhlmann <matthijs@cacholong.nl>
Cc: 589915@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#589915: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 12:19:01 -0700
--On Friday, July 23, 2010 9:13 PM +0200 Matthijs Möhlmann 
<matthijs@cacholong.nl> wrote:

> I'm not sure if I understand you correctly, you say 'The time slapd can
> take to start depends on if it is a first time startup.' What do you
> mean by 'first time startup' ?

First time startup for the given DB_CONFIG setting.  How long it takes to 
start depends on the cachesize value set in the DB_CONFIG file.  If this is 
the very first time slapd has ever started, or if they've changed that 
cachesize value, then the BDB environment has to be created (or recreated). 
slapd will not start listening until that is finished.  If I have a 128GB 
BDB cachesize, slapd will take a lot longer to start than if it is 8GB. 
etc.

--Quanah

--

Quanah Gibson-Mount
Principal Software Engineer
Zimbra, Inc
--------------------
Zimbra ::  the leader in open source messaging and collaboration




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 20:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 589915@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Matthijs Möhlmann <matthijs@cacholong.nl>, 589915@bugs.debian.org
Subject: Re: Bug#589915: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 21:55:34 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 23, 2010 at 09:01:54PM +0200, Matthijs Möhlmann wrote:
> It can take 3 minutes or more to have the OpenLDAP server operational,
> should we wait that long in the initscript? Are there objections to for
> example, wait for 5 seconds and try if the server is up, if not do that
> again forever?

> I'm going to do some tests with pdns too, with the bind backend it is
> possible that it can take up a few seconds before operational, but I
> have to test that.

Surely the correct fix is to not daemonize the process until it's listening
(the service is available)?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>:
Bug#589915; Package slapd. (Fri, 23 Jul 2010 20:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>. (Fri, 23 Jul 2010 20:09:06 GMT) Full text and rfc822 format available.

Message #39 received at 589915@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Steve Langasek <vorlon@debian.org>, 589915@bugs.debian.org
Subject: Re: [Pkg-openldap-devel] Bug#589915: slapd: service is not operational when the init.d script exits during boot
Date: Fri, 23 Jul 2010 22:04:40 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 07/23/2010 09:55 PM, Steve Langasek wrote:
> On Fri, Jul 23, 2010 at 09:01:54PM +0200, Matthijs Möhlmann wrote:
>> It can take 3 minutes or more to have the OpenLDAP server operational,
>> should we wait that long in the initscript? Are there objections to for
>> example, wait for 5 seconds and try if the server is up, if not do that
>> again forever?
> 
>> I'm going to do some tests with pdns too, with the bind backend it is
>> possible that it can take up a few seconds before operational, but I
>> have to test that.
> 
> Surely the correct fix is to not daemonize the process until it's listening
> (the service is available)?
> 
> 
> 
> 
> _______________________________________________
> Pkg-openldap-devel mailing list
> Pkg-openldap-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-openldap-devel

Correct yes. This means that I have to fix pdns too.

Regards,

Matthijs Mohlmann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkxJ9dgACgkQ2n1ROIkXqbBcwQCfd01HkhnHOrxMrbGLJOMN+o2n
6jIAniDeUFsg6uI8ICqHgkkM1z9Yw5/d
=8g5N
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from matthijs@alioth.debian.org to control@bugs.debian.org. (Sun, 08 Aug 2010 14:39:04 GMT) Full text and rfc822 format available.

Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Wed, 18 Aug 2010 21:36:19 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 18 Aug 2010 21:36:19 GMT) Full text and rfc822 format available.

Message #46 received at 589915-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 589915-close@bugs.debian.org
Subject: Bug#589915: fixed in openldap 2.4.23-3
Date: Wed, 18 Aug 2010 21:32:48 +0000
Source: openldap
Source-Version: 2.4.23-3

We believe that the bug you reported is fixed in the latest version of
openldap, which is due to be installed in the Debian FTP archive:

ldap-utils_2.4.23-3_amd64.deb
  to main/o/openldap/ldap-utils_2.4.23-3_amd64.deb
libldap-2.4-2-dbg_2.4.23-3_amd64.deb
  to main/o/openldap/libldap-2.4-2-dbg_2.4.23-3_amd64.deb
libldap-2.4-2_2.4.23-3_amd64.deb
  to main/o/openldap/libldap-2.4-2_2.4.23-3_amd64.deb
libldap2-dev_2.4.23-3_amd64.deb
  to main/o/openldap/libldap2-dev_2.4.23-3_amd64.deb
openldap_2.4.23-3.diff.gz
  to main/o/openldap/openldap_2.4.23-3.diff.gz
openldap_2.4.23-3.dsc
  to main/o/openldap/openldap_2.4.23-3.dsc
slapd-dbg_2.4.23-3_amd64.deb
  to main/o/openldap/slapd-dbg_2.4.23-3_amd64.deb
slapd-smbk5pwd_2.4.23-3_amd64.deb
  to main/o/openldap/slapd-smbk5pwd_2.4.23-3_amd64.deb
slapd_2.4.23-3_amd64.deb
  to main/o/openldap/slapd_2.4.23-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 589915@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated openldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 17 Aug 2010 22:00:16 +0200
Source: openldap
Binary: slapd slapd-smbk5pwd ldap-utils libldap-2.4-2 libldap-2.4-2-dbg libldap2-dev slapd-dbg
Architecture: source amd64
Version: 2.4.23-3
Distribution: unstable
Urgency: low
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.4-2 - OpenLDAP libraries
 libldap-2.4-2-dbg - Debugging information for OpenLDAP libraries
 libldap2-dev - OpenLDAP development libraries
 slapd      - OpenLDAP server (slapd)
 slapd-dbg  - Debugging information for the OpenLDAP server (slapd)
 slapd-smbk5pwd - Keeps Samba and Kerberos passwords in sync within slapd.
Closes: 333428 494155 562723 589508 589569 589852 589915 590154 590829 591550 592815
Changes: 
 openldap (2.4.23-3) unstable; urgency=low
 .
   * Configure the newly installed openldap package using slapd.d instead of
     slapd.conf, merged from ubuntu. (Closes: #562723, #494155, #333428)
   * Update the debconf templates by running debconf-updatepo.
   * We do not support upgrades from older releases then lenny, so removed some
     upgrade functions from slapd.scripts-common.
   * Updated japanese translation, thanks Kenshi Muto (Closes: #589508)
   * Updated czech translation, thanks Miroslav Kure (Closes: #589569)
   * Update slapd.README.Debian and slapd.NEWS and note the new configuration
     style.
   * Fixes CVE-2010-0211 and CVE-2010-0212 (Closes: #589852)
   * Update italian translation, thanks Luca Monducci (Closes: #590154)
   * Update spanish translation, thanks Francisco Javier Cuadrado
     (Closes: #590829)
   * Update basque translation, thanks Iñaki Larrañaga Murgoitio
   * Bump Standards-Version to 3.9.1
   * Added debian specific patch to wait until slapd is operational before
     detaching to the terminal (Closes: #589915)
   * Add a lintian overrides for libldap.
   * Empty dependency_libs line in .la files. (Closes: #591550)
   * Update galician translation, thanks Jorge Barreiro (Closes: #592815)
Checksums-Sha1: 
 08ec0e034e0024b32a9180050496118f847b5697 1874 openldap_2.4.23-3.dsc
 cbc60c8adfa733b22fc0b05067f125b558456840 152165 openldap_2.4.23-3.diff.gz
 73a7be2c427150177f7c3f8c18cb58e605ac7c0c 1584378 slapd_2.4.23-3_amd64.deb
 fdd5445584ff3e4adc090ba6836d9e7cf040fce1 56514 slapd-smbk5pwd_2.4.23-3_amd64.deb
 8b409ad62cd7b425845c095b9d6817337dee9864 326748 ldap-utils_2.4.23-3_amd64.deb
 7ee30dae42775fa8e59c751ae2bcbfd672fecee0 208448 libldap-2.4-2_2.4.23-3_amd64.deb
 150872d39694feed0d5c9ed86b857d6f2c393a75 305604 libldap-2.4-2-dbg_2.4.23-3_amd64.deb
 86bd5c0d2acb8db62afdfe4096015af67b21ac05 911972 libldap2-dev_2.4.23-3_amd64.deb
 8ede94d39493b0492d3d268e81a1a965c2345e4d 4027978 slapd-dbg_2.4.23-3_amd64.deb
Checksums-Sha256: 
 5d377820120aefdf1098fda1704887dd9a83fd92b65ea4fc6c22dac0910e640b 1874 openldap_2.4.23-3.dsc
 2fa617ee5d4cac24591507c99c15f2ec33d58e84140c768fbef1f0a5a2433670 152165 openldap_2.4.23-3.diff.gz
 e1691e6eb562faaae24d5c6b028e13fe1dcd6e415b997dd6303dbeb5f0e7e4fe 1584378 slapd_2.4.23-3_amd64.deb
 d7a358541b8d9be521aa85927a353debf5164ac02726f652eebde1bb8af3a451 56514 slapd-smbk5pwd_2.4.23-3_amd64.deb
 05f3c12c43599684c2bd512fddc88b438e206d311427b69f0b0fe3f5502b76f7 326748 ldap-utils_2.4.23-3_amd64.deb
 242ddec4d75cad4b4be4840e21524aa0034588b94832b43e69a5767e05d0fb32 208448 libldap-2.4-2_2.4.23-3_amd64.deb
 b8d25cb319714b4c9a3be0cd14ff41563d455f54e9865ef6e265612a228a1853 305604 libldap-2.4-2-dbg_2.4.23-3_amd64.deb
 c9b880991657495bd2da6d5d888af28f1dbf6b308a66a5e165d29c7df6740861 911972 libldap2-dev_2.4.23-3_amd64.deb
 5989e9a8ffacebf89dbea83ae8f7a2a9b653729bfd638d7f8f6c66b3ef2ae191 4027978 slapd-dbg_2.4.23-3_amd64.deb
Files: 
 5f5a8205ad580138c8f2b54a67c71be8 1874 net optional openldap_2.4.23-3.dsc
 769da83a8c8aace2ff8f1a1a48a07957 152165 net optional openldap_2.4.23-3.diff.gz
 754c140328f435accb26893c1124c72e 1584378 net optional slapd_2.4.23-3_amd64.deb
 f2816135b55d82f12c8f4015da63a1a8 56514 net extra slapd-smbk5pwd_2.4.23-3_amd64.deb
 abc643af7f8cba830cc5ff381ccaaa84 326748 net optional ldap-utils_2.4.23-3_amd64.deb
 0b229af2d44bc090dd74c8a2e0cc24e8 208448 libs standard libldap-2.4-2_2.4.23-3_amd64.deb
 535d785365b816079e3dba5fca3765d7 305604 debug extra libldap-2.4-2-dbg_2.4.23-3_amd64.deb
 740ff5d8bffe3786e2349dddefbf39c5 911972 libdevel extra libldap2-dev_2.4.23-3_amd64.deb
 186314498d4a8bbe401a49cec6cfba6e 4027978 debug extra slapd-dbg_2.4.23-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxsT4IACgkQ2n1ROIkXqbCJXgCeJWtz25o9pk/5pRXuZsTT0eOj
f1sAoJh9f5iCeIllyNKf70if3N3QMJ7m
=Xp8R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Sep 2010 07:30:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:57:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.